Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.factories
Class TransactionalMessageProcessorsFactoryBean

    java.lang.Object
      org.mule.config.spring.factories.TransactionalMessageProcessorsFactoryBean

All Implemented Interfaces:
  org.springframework.beans.factory.FactoryBean

    public class TransactionalMessageProcessorsFactoryBean

extends Object
implements org.springframework.beans.factory.FactoryBean

Field Summary
`protected List` | `messageProcessors`
`protected TransactionConfig` | `transactionConfig`

Constructor Summary
`TransactionalMessageProcessorsFactoryBean()`

Method Summary
`Object` | `getObject()`
`Class` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setMessageProcessors(List messageProcessors)`
`void` | `setTransactionConfig(TransactionConfig transactionConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### messageProcessors

    protected List messageProcessors

### transactionConfig

    protected TransactionConfig transactionConfig

Constructor Detail

### TransactionalMessageProcessorsFactoryBean

    public TransactionalMessageProcessorsFactoryBean()

Method Detail

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean`

### setMessageProcessors

    public void setMessageProcessors(List messageProcessors)

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean`
  Throws:
    `Exception`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean`

### setTransactionConfig

    public void setTransactionConfig(TransactionConfig transactionConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.